Bug 60222 - Remove deprecated elements Distribution Graph, Spline Visualizer
Summary: Remove deprecated elements Distribution Graph, Spline Visualizer
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.0
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-07 21:10 UTC by Philippe Mouawad
Modified: 2016-11-12 13:41 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2016-10-07 21:10:17 UTC
Those elements were removed from menu in 3.0
Comment 1 Philippe Mouawad 2016-10-07 21:21:41 UTC
Author: pmouawad
Date: Fri Oct  7 21:20:51 2016
New Revision: 1763837

URL: http://svn.apache.org/viewvc?rev=1763837&view=rev
Log:
Bug 60222 - Remove deprecated elements Distribution Graph, Spline Visualizer
Also update version in saveservice.properties to match version of JMeter
Bugzilla Id: 60222

Removed:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/DistributionGraph.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/DistributionGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SplineVisualizer.java
Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/bin/saveservice.properties
    jmeter/trunk/bin/upgrade.properties
    jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java
    jmeter/trunk/xdocs/changes.xml
    jmeter/trunk/xdocs/usermanual/component_reference.xml
    jmeter/trunk/xdocs/usermanual/properties_reference.xml
Comment 2 Philippe Mouawad 2016-10-07 21:25:49 UTC
Author: pmouawad
Date: Fri Oct  7 21:24:44 2016
New Revision: 1763838

URL: http://svn.apache.org/viewvc?rev=1763838&view=rev
Log:
Upgrade sha1

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java
Comment 3 Felix Schumacher 2016-10-08 10:39:16 UTC
Date: Sat Oct  8 10:32:31 2016
New Revision: 1763887

URL: http://svn.apache.org/viewvc?rev=1763887&view=rev
Log:
Followup to r1763837. Remove dropped elements from testplans. Bugzilla Id: 60222

Modified:
    jmeter/trunk/bin/testfiles/GenTest210.jmx
    jmeter/trunk/bin/testfiles/GenTest22.jmx
    jmeter/trunk/bin/testfiles/GenTest231.jmx
    jmeter/trunk/bin/testfiles/GenTest24.jmx
    jmeter/trunk/bin/testfiles/GenTest25.jmx
    jmeter/trunk/bin/testfiles/GenTest251.jmx
    jmeter/trunk/bin/testfiles/GenTest26.jmx
    jmeter/trunk/bin/testfiles/GenTest27.jmx
    jmeter/trunk/bin/testfiles/GenTest27_original.jmx
    jmeter/trunk/bin/testfiles/GenTest2_13.jmx
    jmeter/trunk/bin/testfiles/GuiTest.jmx
    jmeter/trunk/bin/testfiles/GuiTest231.jmx
    jmeter/trunk/bin/testfiles/GuiTest231_original.jmx
    jmeter/trunk/bin/testfiles/GuiTest_original.jmx
    jmeter/trunk/bin/testfiles/Test Plan_out.jmx

Date: Sat Oct  8 10:33:15 2016
New Revision: 1763888

URL: http://svn.apache.org/viewvc?rev=1763888&view=rev
Log:
Followup to r1763837. Add revision, when elements where dropped to saveservice.properties. Bugzilla Id: 60222

Modified:
    jmeter/trunk/bin/saveservice.properties
    jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java
Comment 4 Sebb 2016-10-22 12:24:14 UTC
(In reply to Felix Schumacher from comment #3)
> Date: Sat Oct  8 10:32:31 2016
> New Revision: 1763887
> 
> URL: http://svn.apache.org/viewvc?rev=1763887&view=rev
> Log:
> Followup to r1763837. Remove dropped elements from testplans. Bugzilla Id:
> 60222
> 
> Modified:
>     jmeter/trunk/bin/testfiles/GenTest210.jmx
>     jmeter/trunk/bin/testfiles/GenTest22.jmx
>     jmeter/trunk/bin/testfiles/GenTest231.jmx
>     jmeter/trunk/bin/testfiles/GenTest24.jmx
>     jmeter/trunk/bin/testfiles/GenTest25.jmx
>     jmeter/trunk/bin/testfiles/GenTest251.jmx
>     jmeter/trunk/bin/testfiles/GenTest26.jmx
>     jmeter/trunk/bin/testfiles/GenTest27.jmx
>     jmeter/trunk/bin/testfiles/GenTest27_original.jmx
>     jmeter/trunk/bin/testfiles/GenTest2_13.jmx
>     jmeter/trunk/bin/testfiles/GuiTest.jmx
>     jmeter/trunk/bin/testfiles/GuiTest231.jmx
>     jmeter/trunk/bin/testfiles/GuiTest231_original.jmx
>     jmeter/trunk/bin/testfiles/GuiTest_original.jmx
>     jmeter/trunk/bin/testfiles/Test Plan_out.jmx
> 
> Date: Sat Oct  8 10:33:15 2016
> New Revision: 1763888
> 
> URL: http://svn.apache.org/viewvc?rev=1763888&view=rev
> Log:
> Followup to r1763837. Add revision, when elements where dropped to
> saveservice.properties. Bugzilla Id: 60222
> 
> Modified:
>     jmeter/trunk/bin/saveservice.properties
>     jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java

I don't think this is the correct fix for the test files.

The idea was to have JMX files for each version of JMeter.
For upwards compatibility, the plan should always be loadable, though some of the test elements will be replaced by the Obsolete Gui.

However some stricter tests such as checking that the JMX does not change when saved will obviously fail. Such tests need to be adjusted, rather than adjusting the test data.
Comment 5 Felix Schumacher 2016-10-22 14:47:34 UTC
The old testplans will be restored with the following changes. TestSaveServices has been changed to look for Saved... files that represent the testplans as saved with a current version. When such a file is found it will be used to compare the load-saved file against, instead of the original one.

@sebb Is this OK with you?

Date: Sat Oct 22 14:36:15 2016
New Revision: 1766195

URL: http://svn.apache.org/viewvc?rev=1766195&view=rev
Log:
Refactor int[] to new class FileStats to make intent of
code clearer.

Bugzilla Id: 60222

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/save/TestSaveService.java

Date: Sat Oct 22 14:37:08 2016
New Revision: 1766196

URL: http://svn.apache.org/viewvc?rev=1766196&view=rev
Log:
Refactor computeFileStats and its usage. The caller is
responsible to close its created ressources (as it has even more of those).

Bugzilla Id: 60222

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/save/TestSaveService.java


Date: Sat Oct 22 14:38:13 2016
New Revision: 1766197

URL: http://svn.apache.org/viewvc?rev=1766197&view=rev
Log:
Move variable to narrow scope

Bugzilla Id: 60222

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/save/TestSaveService.java

Date: Sat Oct 22 14:39:08 2016
New Revision: 1766198

URL: http://svn.apache.org/viewvc?rev=1766198&view=rev
Log:
Rename local variable to make intent clearer

Bugzilla Id: 60222

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/save/TestSaveService.java

Date: Sat Oct 22 14:39:55 2016
New Revision: 1766199

URL: http://svn.apache.org/viewvc?rev=1766199&view=rev
Log:
Use try-with syntax.

Bugzilla Id: 60222

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/save/TestSaveService.java

Date: Sat Oct 22 14:41:00 2016
New Revision: 1766200

URL: http://svn.apache.org/viewvc?rev=1766200&view=rev
Log:
Compare saved testplans to Saved... testplans instead of
originals when the Saved... testplan exists.

Bugzilla Id: 60222

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/save/TestSaveService.java

Date: Sat Oct 22 14:43:03 2016
New Revision: 1766201

URL: http://svn.apache.org/viewvc?rev=1766201&view=rev
Log:
Revert jmx testplans to r1763887 and add Saved... files,
that represent them saved with a current version of JMeter

Bugzilla Id: 60222

Added:
    jmeter/trunk/bin/testfiles/SavedGenTest210.jmx
    jmeter/trunk/bin/testfiles/SavedGenTest27.jmx
    jmeter/trunk/bin/testfiles/SavedGenTest2_13.jmx
    jmeter/trunk/bin/testfiles/SavedGuiTest.jmx
    jmeter/trunk/bin/testfiles/SavedGuiTest231.jmx
Modified:
    jmeter/trunk/bin/testfiles/GenTest210.jmx
    jmeter/trunk/bin/testfiles/GenTest22.jmx
    jmeter/trunk/bin/testfiles/GenTest231.jmx
    jmeter/trunk/bin/testfiles/GenTest24.jmx
    jmeter/trunk/bin/testfiles/GenTest25.jmx
    jmeter/trunk/bin/testfiles/GenTest251.jmx
    jmeter/trunk/bin/testfiles/GenTest26.jmx
    jmeter/trunk/bin/testfiles/GenTest27.jmx
    jmeter/trunk/bin/testfiles/GenTest27_original.jmx
    jmeter/trunk/bin/testfiles/GenTest2_13.jmx
    jmeter/trunk/bin/testfiles/GuiTest.jmx
    jmeter/trunk/bin/testfiles/GuiTest231.jmx
    jmeter/trunk/bin/testfiles/GuiTest231_original.jmx
    jmeter/trunk/bin/testfiles/GuiTest_original.jmx
    jmeter/trunk/bin/testfiles/Test Plan_out.jmx